@@myheader.sql

/************************************
*  INPUT PARAMETERS
************************************/
UNDEFINE opid
UNDEFINE detail_level

DEFINE opid="&&1"
DEFINE detail_level="&&2"
DEFINE format="&&3"

COLUMN  _opid                 NEW_VALUE opid               NOPRINT
COLUMN  _detail_level         NEW_VALUE detail_level       NOPRINT
COLUMN  _format               NEW_VALUE format             NOPRINT

set term off
SELECT 
       DECODE('&&detail_level','','BASIC',UPPER('&&detail_level'))              "_detail_level"
     , DECODE('&&format','','TEXT',UPPER('&&format'))                           "_format"
FROM DUAL;
set term on


PROMPT
PROMPT ***********************************************************************
PROMPT *  SINGLE STATS OPERATION DETAIL
PROMPT *
PROMPT *  Input Parameters 
PROMPT *  - opid               = '&&opid'
PROMPT *  - detail_level       = '&&detail_level'
PROMPT ***********************************************************************

select
    dbms_stats.report_single_stats_operation(
       opid         => &&opid
      ,detail_level => '&&detail_level'
      ,format       => '&&format'
    )
from dual;
 

@@myfooter.sql
